Metadata-Version: 2.4
Name: antch
Version: 0.1.2.dev0
Summary: End-to-end encrypted messaging TUI client
License: GPL-3.0-or-later
Project-URL: Repository, https://app.radicle.xyz/nodes/rosa.radicle.xyz/rad%3Az23mnPF8GfNnndXua4McwYNyEtRUW
Keywords: tui,terminal,textual,chat,messaging,e2ee,encryption,pynacl
Classifier: Development Status :: 2 - Pre-Alpha
Classifier: Environment :: Console
Classifier: Environment :: Console :: Curses
Classifier: Intended Audience :: Developers
Classifier: Intended Audience :: End Users/Desktop
Classifier: Operating System :: OS Independent
Classifier: Programming Language :: Python :: 3
Classifier: Programming Language :: Python :: 3.10
Classifier: Programming Language :: Python :: 3.11
Classifier: Programming Language :: Python :: 3.12
Classifier: Topic :: Communications :: Chat
Classifier: Topic :: Security :: Cryptography
Classifier: Topic :: Terminals
Requires-Python: >=3.10
Description-Content-Type: text/markdown
License-File: LICENSE
Requires-Dist: PySocks>=1.7.1
Requires-Dist: cffi>=2.0.0
Requires-Dist: linkify-it-py>=2.0.3
Requires-Dist: markdown-it-py>=4.0.0
Requires-Dist: mdit-py-plugins>=0.5.0
Requires-Dist: mdurl>=0.1.2
Requires-Dist: platformdirs>=4.5.1
Requires-Dist: pycparser>=2.23
Requires-Dist: Pygments>=2.19.0
Requires-Dist: pillow>=11.0.0
Requires-Dist: PyNaCl>=1.6.1
Requires-Dist: pyperclip>=1.11.0
Requires-Dist: rich>=14.0.0
Requires-Dist: textual>=6.0.0
Requires-Dist: typing_extensions>=4.15.0
Requires-Dist: uc-micro-py>=1.0.3
Requires-Dist: websockets>=15.0.0
Requires-Dist: numpy>=2.0.0
Requires-Dist: sounddevice>=0.5.0
Requires-Dist: cryptography>=42.0.0
Requires-Dist: sqlcipher3>=0.5.0
Provides-Extra: dev
Requires-Dist: pytest>=7.0.0; extra == "dev"
Requires-Dist: black>=24.0.0; extra == "dev"
Requires-Dist: ruff>=0.1.0; extra == "dev"
Dynamic: license-file

# Antch

End-to-end encrypted messaging TUI client.

**Status: Demo / Pre-alpha**

This project is in early development. Expect breaking changes and incomplete features.

## Installation

```bash
pipx install . # pipx install antch   (PyPI)
```

Or for development:

```bash
pip install -e .
```

## Usage

### Client

```bash
antch
```

The client will open a launcher screen where you can create or select an account.

### Server

```bash
antch-server --host 0.0.0.0 --port 8765
```

Options:
- `--host` - Bind address (default: 0.0.0.0)
- `--port` - Port number (default: 8765)
- `--db` - Database file path (default: server.db)
- `--cert` - SSL certificate file (optional)
- `--key` - SSL key file (optional)

### Node (Distributed Storage)

```bash
antch-node
```

The node reads configuration from `~/.antch/node.conf`. See `node_config.example.conf` for format.

## Configuration

Client data is stored in:
- Linux/macOS: `~/.antch/`
- Windows: `%APPDATA%/antch/`

## Dependencies

- Python 3.10+
- See `requirements.txt` for full list

## License

GPL-3.0-or-later

## git & pypi
radicle: rad:z23mnPF8GfNnndXua4McwYNyEtRUW
```rad auth && rad clone rad:z23mnPF8GfNnndXua4McwYNyEtRUW```
https://app.radicle.xyz/nodes/rosa.radicle.xyz/rad%3Az23mnPF8GfNnndXua4McwYNyEtRUW

PyPI: https://pypi.org/project/antch/
